cascading.flow.planner.iso.expression

## Class PathScopeExpression

- java.lang.Object
- - cascading.flow.planner.iso.expression.ScopeExpression
  - - cascading.flow.planner.iso.expression.PathScopeExpression

All Implemented Interfaces:
  Expression<Scope>

    public class PathScopeExpression
    extends ScopeExpression

All is a special case allowing allowing a node-node match with any number of edges

### Nested Class Summary

Nested Classes
`static class` `PathScopeExpression.Mode`

### Nested classes/interfaces inherited from class cascading.flow.planner.iso.expression.ScopeExpression

`ScopeExpression.Applies`

### Field Summary

Fields
`static PathScopeExpression` `ALL_BLOCKING`
`static PathScopeExpression` `ALL_BLOCKING_NO_CAPTURE`
`static PathScopeExpression` `ALL_NON_BLOCKING`
`static PathScopeExpression` `ALL_NON_BLOCKING_NO_CAPTURE`
`static PathScopeExpression` `ANY_BLOCKING`
`static PathScopeExpression` `ANY_NON_BLOCKING`
`static PathScopeExpression` `BLOCKING`
`static PathScopeExpression` `NON_BLOCKING`

### Fields inherited from class cascading.flow.planner.iso.expression.ScopeExpression

`ALL, ANY, applies, capture, EACH, NO_CAPTURE`

### Constructor Summary

Constructors
Constructor and Description
`PathScopeExpression()`
`PathScopeExpression(boolean capture, ScopeExpression.Applies applies)`
`PathScopeExpression(boolean capture, ScopeExpression.Applies applies, PathScopeExpression.Mode mode)`
`PathScopeExpression(PathScopeExpression.Mode mode)`
`PathScopeExpression(ScopeExpression.Applies applies)`
`PathScopeExpression(ScopeExpression.Applies applies, PathScopeExpression.Mode mode)`

### Method Summary

Methods
`boolean` `acceptsAll()` True if there is at least one edge between the candidate nodes.
`boolean` `applies(PlannerContext plannerContext, ElementGraph elementGraph, Scope scope)`
`PathScopeExpression.Mode` `getMode()`
`boolean` `isIgnoreMode()`
`java.lang.String` `toString()`

### Methods inherited from class cascading.flow.planner.iso.expression.ScopeExpression

`appliesToAllPaths, appliesToAnyPath, appliesToEachPath, getApplies, isCapture`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### BLOCKING

    public static final PathScopeExpression BLOCKING

#### NON_BLOCKING

    public static final PathScopeExpression NON_BLOCKING

#### ALL_BLOCKING

    public static final PathScopeExpression ALL_BLOCKING

#### ALL_NON_BLOCKING

    public static final PathScopeExpression ALL_NON_BLOCKING

#### ANY_BLOCKING

    public static final PathScopeExpression ANY_BLOCKING

#### ANY_NON_BLOCKING

    public static final PathScopeExpression ANY_NON_BLOCKING

#### ALL_BLOCKING_NO_CAPTURE

    public static final PathScopeExpression ALL_BLOCKING_NO_CAPTURE

#### ALL_NON_BLOCKING_NO_CAPTURE

    public static final PathScopeExpression ALL_NON_BLOCKING_NO_CAPTURE

### Constructor Detail

#### PathScopeExpression

    public PathScopeExpression()

#### PathScopeExpression

    public PathScopeExpression(ScopeExpression.Applies applies)

#### PathScopeExpression

    public PathScopeExpression(boolean capture,
                       ScopeExpression.Applies applies)

#### PathScopeExpression

    public PathScopeExpression(PathScopeExpression.Mode mode)

#### PathScopeExpression

    public PathScopeExpression(ScopeExpression.Applies applies,
                       PathScopeExpression.Mode mode)

#### PathScopeExpression

    public PathScopeExpression(boolean capture,
                       ScopeExpression.Applies applies,
                       PathScopeExpression.Mode mode)

### Method Detail

#### acceptsAll

    public boolean acceptsAll()

Description copied from class: `ScopeExpression`
True if there is at least one edge between the candidate nodes.

Overrides:
  `acceptsAll` in class `ScopeExpression`

#### isIgnoreMode

    public boolean isIgnoreMode()

#### getMode

    public PathScopeExpression.Mode getMode()

#### applies

    public boolean applies(PlannerContext plannerContext,
                  ElementGraph elementGraph,
                  Scope scope)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `ScopeExpression`